annotation.processing.enabled=true
annotation.processing.enabled.in.editor=false
annotation.processing.processors.list=
annotation.processing.run.all.processors=true
annotation.processing.source.output=${build.generated.sources.dir}/ap-source-output
application.title=middleware
application.vendor=ls
build.classes.dir=${build.dir}/classes
build.classes.excludes=**/*.java,**/*.form
# This directory is removed when the project is cleaned:
build.dir=build
build.generated.dir=${build.dir}/generated
build.generated.sources.dir=${build.dir}/generated-sources
# Only compile against the classpath explicitly listed here:
build.sysclasspath=ignore
build.test.classes.dir=${build.dir}/test/classes
build.test.results.dir=${build.dir}/test/results
# Uncomment to specify the preferred debugger connection transport:
#debug.transport=dt_socket
debug.classpath=\
    ${run.classpath}
debug.modulepath=\
    ${run.modulepath}
debug.test.classpath=\
    ${run.test.classpath}
debug.test.modulepath=\
    ${run.test.modulepath}
# Files in build.classes.dir which should be excluded from distribution jar
dist.archive.excludes=
# This directory is removed when the project is cleaned:
dist.dir=dist
dist.jar=${dist.dir}/middleware.jar
dist.javadoc.dir=${dist.dir}/javadoc
endorsed.classpath=
excludes=
file.reference.absbackend.jar=lib/absbackend.jar
file.reference.absfrontend.jar=lib/absfrontend.jar
file.reference.app.jar=lib/app.jar
file.reference.commons-cli-1.2.jar=lib/commons-cli-1.2.jar
file.reference.commons-codec-1.13.jar=lib\\commons-codec-1.13.jar
file.reference.google-api-client-1.24.1.jar=lib/google-api-client-1.24.1.jar
file.reference.google-http-client-1.24.1.jar=lib/google-http-client-1.24.1.jar
file.reference.google-http-client-gson-1.24.1.jar=lib/google-http-client-gson-1.24.1.jar
file.reference.google-oauth-client-1.24.1.jar=lib/google-oauth-client-1.24.1.jar
file.reference.gson-2.1.jar=lib/gson-2.1.jar
file.reference.jackson-annotations-2.10.0.pr2.jar=lib\\jackson-annotations-2.10.0.pr2.jar
file.reference.jackson-core-2.10.0.pr2.jar=lib\\jackson-core-2.10.0.pr2.jar
file.reference.jackson-databind-2.10.0.pr2.jar=lib/jackson-databind-2.10.0.pr2.jar
file.reference.jasper-6.0.44.jar=lib/jasper-6.0.44.jar
file.reference.java-jwt-3.8.2.jar=lib/java-jwt-3.8.2.jar
file.reference.javassist-3.16.1-GA.jar=lib/javassist-3.16.1-GA.jar
file.reference.jsp-api-2.2.1-b03.jar=lib/jsp-api-2.2.1-b03.jar
file.reference.jwks-rsa-0.8.3.jar=lib/jwks-rsa-0.8.3.jar
file.reference.mtvl.jar=lib/mtvl.jar
file.reference.mysql-connector-java-5.1.23-bin.jar=lib/mysql-connector-java-5.1.23-bin.jar
file.reference.ognl-3.0.6.jar=lib/ognl-3.0.6.jar
file.reference.postgresql-42.2.8.jar=lib/postgresql-42.2.8.jar
file.reference.slf4j-api-1.6.1.jar=lib/slf4j-api-1.6.1.jar
file.reference.thymeleaf-2.1.3.RELEASE.jar=lib/thymeleaf-2.1.3.RELEASE.jar
file.reference.tomcat-embed-core-8.0.23.jar=lib/tomcat-embed-core-8.0.23.jar
file.reference.tomcat-juli-8.0.23.jar=lib/tomcat-juli-8.0.23.jar
file.reference.unbescape-1.0.jar=lib/unbescape-1.0.jar
includes=**
jar.compress=false
javac.classpath=\
    ${file.reference.absbackend.jar}:\
    ${file.reference.absfrontend.jar}:\
    ${file.reference.commons-cli-1.2.jar}:\
    ${file.reference.jasper-6.0.44.jar}:\
    ${file.reference.javassist-3.16.1-GA.jar}:\
    ${file.reference.jsp-api-2.2.1-b03.jar}:\
    ${file.reference.mtvl.jar}:\
    ${file.reference.mysql-connector-java-5.1.23-bin.jar}:\
    ${file.reference.ognl-3.0.6.jar}:\
    ${file.reference.postgresql-42.2.8.jar}:\
    ${file.reference.slf4j-api-1.6.1.jar}:\
    ${file.reference.thymeleaf-2.1.3.RELEASE.jar}:\
    ${file.reference.tomcat-embed-core-8.0.23.jar}:\
    ${file.reference.tomcat-juli-8.0.23.jar}:\
    ${file.reference.unbescape-1.0.jar}:\
    ${file.reference.google-api-client-1.24.1.jar}:\
    ${file.reference.google-http-client-1.24.1.jar}:\
    ${file.reference.google-http-client-gson-1.24.1.jar}:\
    ${file.reference.app.jar}:\
    ${file.reference.google-oauth-client-1.24.1.jar}:\
    ${file.reference.gson-2.1.jar}:\
    ${file.reference.java-jwt-3.8.2.jar}:\
    ${file.reference.jwks-rsa-0.8.3.jar}:\
    ${file.reference.jackson-databind-2.10.0.pr2.jar}:\
    ${file.reference.jackson-core-2.10.0.pr2.jar}:\
    ${file.reference.commons-codec-1.13.jar}:\
    ${file.reference.jackson-annotations-2.10.0.pr2.jar}
# Space-separated list of extra javac options
javac.compilerargs=
javac.deprecation=false
javac.external.vm=true
javac.modulepath=
javac.processormodulepath=
javac.processorpath=\
    ${javac.classpath}
javac.source=1.8
javac.target=1.8
javac.test.classpath=\
    ${javac.classpath}:\
    ${build.classes.dir}
javac.test.modulepath=\
    ${javac.modulepath}
javac.test.processorpath=\
    ${javac.test.classpath}
javadoc.additionalparam=
javadoc.author=false
javadoc.encoding=${source.encoding}
javadoc.html5=false
javadoc.noindex=false
javadoc.nonavbar=false
javadoc.notree=false
javadoc.private=false
javadoc.splitindex=true
javadoc.use=true
javadoc.version=false
javadoc.windowtitle=
jlink.launcher=false
jlink.launcher.name=middleware
main.class=com.rse.middleware.ABSServer
manifest.file=manifest.mf
meta.inf.dir=${src.dir}/META-INF
mkdist.disabled=false
platform.active=default_platform
run.classpath=\
    ${javac.classpath}:\
    ${build.classes.dir}
# Space-separated list of JVM arguments used when running the project.
# You may also define separate properties like run-sys-prop.name=value instead of -Dname=value.
# To set system properties for unit tests define test-sys-prop.name=value:
run.jvmargs=
run.modulepath=\
    ${javac.modulepath}
run.test.classpath=\
    ${javac.test.classpath}:\
    ${build.test.classes.dir}
run.test.modulepath=\
    ${javac.test.modulepath}
source.encoding=UTF-8
src.dir=src
test.src.dir=test
